package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 连网历史对象 b_net_history
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
public class BNetHistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 是否连接成功 */
    @Excel(name = "是否连接成功")
    private Long isTrue;

    /** 网络id */
    @Excel(name = "网络id")
    private Long netId;

    /** 网络名称 */
    @Excel(name = "网络名称")
    private String netName;

    /** wifi名称 */
    @Excel(name = "wifi名称")
    private String wifiName;

    /** wifi密码 */
    @Excel(name = "wifi密码")
    private String wifiPass;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIsTrue(Long isTrue) 
    {
        this.isTrue = isTrue;
    }

    public Long getIsTrue() 
    {
        return isTrue;
    }
    public void setNetId(Long netId) 
    {
        this.netId = netId;
    }

    public Long getNetId() 
    {
        return netId;
    }
    public void setNetName(String netName) 
    {
        this.netName = netName;
    }

    public String getNetName() 
    {
        return netName;
    }
    public void setWifiName(String wifiName) 
    {
        this.wifiName = wifiName;
    }

    public String getWifiName() 
    {
        return wifiName;
    }
    public void setWifiPass(String wifiPass) 
    {
        this.wifiPass = wifiPass;
    }

    public String getWifiPass() 
    {
        return wifiPass;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("isTrue", getIsTrue())
            .append("netId", getNetId())
            .append("netName", getNetName())
            .append("wifiName", getWifiName())
            .append("wifiPass", getWifiPass())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
