package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 广告对象 b_poster
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
public class BPoster extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 广告名称 */
    @Excel(name = "广告名称")
    private String posterName;

    /** 有效起始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效起始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 有效结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 视频封面 */
    @Excel(name = "视频封面")
    private String videoLogo;

    /** 视频路径 */
    @Excel(name = "视频路径")
    private String videoPath;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPosterName(String posterName) 
    {
        this.posterName = posterName;
    }

    public String getPosterName() 
    {
        return posterName;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setVideoLogo(String videoLogo) 
    {
        this.videoLogo = videoLogo;
    }

    public String getVideoLogo() 
    {
        return videoLogo;
    }
    public void setVideoPath(String videoPath) 
    {
        this.videoPath = videoPath;
    }

    public String getVideoPath() 
    {
        return videoPath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("posterName", getPosterName())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("videoLogo", getVideoLogo())
            .append("videoPath", getVideoPath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
